Index: trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.notation
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.notation	(revision 1607)
+++ trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.notation	(revision 1717)
@@ -1102,13 +1004,13 @@
       </eAnnotations>
       <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_rlFx-n-WEeC-I9oqZ53S4w" source="Stereotype_Annotation">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_rlFx-3-WEeC-I9oqZ53S4w" key="StereotypeWithQualifiedNameList" value=""/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_rlFx_H-WEeC-I9oqZ53S4w" key="StereotypeList" value="Standard::Metaclass"/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_rlFx_X-WEeC-I9oqZ53S4w" key="Stereotype_Presentation_Kind" value="HorizontalStereo"/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_rlFx_n-WEeC-I9oqZ53S4w" key="PropStereoDisplay" value=""/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_rlFx_3-WEeC-I9oqZ53S4w" key="StereotypePropertyLocation" value="Compartment"/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_1tFpULQUEeKMMvKD8rDWHw" key="StereotypeWithQualifiedNameList" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_1tFpUbQUEeKMMvKD8rDWHw" key="StereotypeList" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_1tFpUrQUEeKMMvKD8rDWHw" key="Stereotype_Presentation_Kind" value="HorizontalStereo"/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_1tFpU7QUEeKMMvKD8rDWHw" key="PropStereoDisplay" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_1tFpVLQUEeKMMvKD8rDWHw" key="StereotypePropertyLocation" value="Compartment"/>
       </eAnnotations>
       <children xmi:type="notation:DecorationNode" xmi:id="_rlFx-H-WEeC-I9oqZ53S4w" type="1084"/>
       <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Dependency"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_rlFx-X-WEeC-I9oqZ53S4w" x="150" y="35"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_rlFx-X-WEeC-I9oqZ53S4w" x="335" y="245"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_suaKcH-WEeC-I9oqZ53S4w" type="1026" fontHeight="8" lineColor="0">
@@ -1132,5 +1034,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_sujUan-WEeC-I9oqZ53S4w"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_sujUa3-WEeC-I9oqZ53S4w" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_sujUa3-WEeC-I9oqZ53S4w" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_sujUbH-WEeC-I9oqZ53S4w"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_sujUbX-WEeC-I9oqZ53S4w"/>
@@ -1138,5 +1040,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_suGocH-WEeC-I9oqZ53S4w"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_suaKcX-WEeC-I9oqZ53S4w" x="55" y="130"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_suaKcX-WEeC-I9oqZ53S4w" x="230" y="130" width="151" height="81"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_uXKQ8H-WEeC-I9oqZ53S4w" type="1026" fontHeight="8" lineColor="0">
@@ -1164,5 +1066,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_uXUB-H-WEeC-I9oqZ53S4w"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_uXUB-X-WEeC-I9oqZ53S4w" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_uXUB-X-WEeC-I9oqZ53S4w" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_uXUB-n-WEeC-I9oqZ53S4w"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_uXUB-3-WEeC-I9oqZ53S4w"/>
@@ -1170,5 +1072,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_uW3WAH-WEeC-I9oqZ53S4w"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_uXKQ8X-WEeC-I9oqZ53S4w" x="225" y="130"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_uXKQ8X-WEeC-I9oqZ53S4w" x="385" y="130" width="152" height="81"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_wgjmYH-WEeC-I9oqZ53S4w" type="1026" fontHeight="8" lineColor="0">
@@ -1198,5 +1100,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_pZ8e4HGGEeCymoXP7CzS_g"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wgjmYX-WEeC-I9oqZ53S4w" x="125" y="280" height="71"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_wgjmYX-WEeC-I9oqZ53S4w" x="310" y="25" height="71"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_twIu8IxUEeCL2qVcoCeT8g" type="1026" fontHeight="8" lineColor="0">
@@ -1228,5 +1130,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_twR46oxUEeCL2qVcoCeT8g"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_twR464xUEeCL2qVcoCeT8g" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_twR464xUEeCL2qVcoCeT8g" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_twR47IxUEeCL2qVcoCeT8g"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_twR47YxUEeCL2qVcoCeT8g"/>
@@ -1234,5 +1136,59 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_UCVA0EsVEeCWwP2csDYIyw"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_twIu8YxUEeCL2qVcoCeT8g" x="470" y="135"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_twIu8YxUEeCL2qVcoCeT8g" x="50" y="130" height="81"/>
+    </children>
+    <children xmi:type="notation:Shape" xmi:id="_4mFPsLQUEeKMMvKD8rDWHw" type="1031" fontName="Segoe UI" lineColor="0">
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_4mF2wLQUEeKMMvKD8rDWHw" source="ShadowFigure">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_4mF2wbQUEeKMMvKD8rDWHw" key="ShadowFigure_Value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_4mGd0LQUEeKMMvKD8rDWHw" source="displayNameLabelIcon">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_4mGd0bQUEeKMMvKD8rDWHw" key="displayNameLabelIcon_value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_4mGd0rQUEeKMMvKD8rDWHw" source="QualifiedName">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_4mGd07QUEeKMMvKD8rDWHw" key="QualifiedNameDepth" value="1000"/>
+      </eAnnotations>
+      <children xmi:type="notation:DecorationNode" xmi:id="_4mGd1LQUEeKMMvKD8rDWHw" type="1084"/>
+      <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Property"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_4mFPsbQUEeKMMvKD8rDWHw" x="95" y="245"/>
+    </children>
+    <children xmi:type="notation:Shape" xmi:id="_ADhRoLQVEeKMMvKD8rDWHw" type="1026" fontName="Segoe UI" lineColor="0">
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_ADh4sLQVEeKMMvKD8rDWHw" source="ShadowFigure">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_ADifwLQVEeKMMvKD8rDWHw" key="ShadowFigure_Value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_ADifwbQVEeKMMvKD8rDWHw" source="displayNameLabelIcon">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_ADifwrQVEeKMMvKD8rDWHw" key="displayNameLabelIcon_value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_ADifw7QVEeKMMvKD8rDWHw" source="QualifiedName">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_ADifxLQVEeKMMvKD8rDWHw" key="QualifiedNameDepth" value="1000"/>
+      </eAnnotations>
+      <children xmi:type="notation:DecorationNode" xmi:id="_ADifxbQVEeKMMvKD8rDWHw" type="1034"/>
+      <children xmi:type="notation:BasicCompartment" xmi:id="_ADifxrQVEeKMMvKD8rDWHw" type="1071">
+        <styles xmi:type="notation:TitleStyle" xmi:id="_ADifx7QVEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:SortingStyle" xmi:id="_ADifyLQVEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:FilteringStyle" xmi:id="_ADifybQVEeKMMvKD8rDWHw"/>
+        <layoutConstraint xmi:type="notation:Bounds" xmi:id="_ADifyrQVEeKMMvKD8rDWHw"/>
+      </children>
+      <children xmi:type="notation:BasicCompartment" xmi:id="_ADjG0LQVEeKMMvKD8rDWHw" visible="false" type="1019">
+        <styles xmi:type="notation:TitleStyle" xmi:id="_ADjG0bQVEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:SortingStyle" xmi:id="_ADjG0rQVEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:FilteringStyle" xmi:id="_ADjG07QVEeKMMvKD8rDWHw"/>
+        <layoutConstraint xmi:type="notation:Bounds" xmi:id="_ADjG1LQVEeKMMvKD8rDWHw"/>
+      </children>
+      <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_PTFDcEsVEeCWwP2csDYIyw"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_ADhRobQVEeKMMvKD8rDWHw" x="-90" y="130" height="56"/>
+    </children>
+    <children xmi:type="notation:Shape" xmi:id="_AfFMQLQVEeKMMvKD8rDWHw" type="1031" fontName="Segoe UI" lineColor="0">
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_AfFzULQVEeKMMvKD8rDWHw" source="ShadowFigure">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_AfFzUbQVEeKMMvKD8rDWHw" key="ShadowFigure_Value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_AfFzUrQVEeKMMvKD8rDWHw" source="displayNameLabelIcon">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_AfFzU7QVEeKMMvKD8rDWHw" key="displayNameLabelIcon_value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_AfFzVLQVEeKMMvKD8rDWHw" source="QualifiedName">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_AfFzVbQVEeKMMvKD8rDWHw" key="QualifiedNameDepth" value="1000"/>
+      </eAnnotations>
+      <children xmi:type="notation:DecorationNode" xmi:id="_AfFzVrQVEeKMMvKD8rDWHw" type="1084"/>
+      <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_AfFMQbQVEeKMMvKD8rDWHw" x="-70" y="245"/>
     </children>
     <styles xmi:type="notation:DiagramStyle" xmi:id="_ltbbAX-WEeC-I9oqZ53S4w"/>
